package com.ruoyi.system.service;

import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.system.domain.ZkActivityContent;
import com.ruoyi.system.domain.ZkActivityEvaluate;
import com.ruoyi.system.domain.ZkActivityInfo;
import com.ruoyi.system.domain.ZkActivityInfoContent;
import com.ruoyi.system.domain.bo.*;
import com.ruoyi.system.domain.vo.OrganizationalActivityInfoVo;
import com.ruoyi.system.domain.vo.SpecialActivityInfoVo;
import com.ruoyi.system.domain.vo.ZkActivityInfoForEditVo;

import java.util.List;

public interface IActivityService {

    TableDataInfo<OrganizationalActivityInfoVo> queryOrganizationalActivityPageList(ActivityInfoBo bo);

    TableDataInfo<SpecialActivityInfoVo> querySpecialActivityPageList(ActivityInfoBo bo);

    boolean add(SpecialActivityAddBo bo);

    ZkActivityInfo addForTask(SpecialActivityAddBo bo);

    boolean add(OrganizationalActivityBo vo);

    ZkActivityInfoForEditVo getInfo(Long id);

    boolean edit(OrganizationalActivityBo vo, int btnType);

    boolean delete(Long[] ids);

    boolean syncActivity(ActivitySyncBo bo);

    boolean specialActivityCorrection(SpecialActivityCorrectionBo bo, ZkActivityContent content, ZkActivityInfoContent infoContent);

    List<ZkActivityEvaluate> queryEvaluateById(Long id);
}
